Unit tde04r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FADE04R_p, FIDE04R_p, DE04R_p;

function tde04r: String;

implementation

function tde04r: String;
var
M,JSTART,IH,IERR :Integer;
X,HMIN,EPS,P,H,XP :Real;
BUL :Boolean;
A :Array [0..3] of Real;
E1 :Array [0..3] of Real;
E2 :Array [0..3] of Real;
E3 :Array [0..3] of Real;
W1 :Array [0..3] of Real;
R1 :Array [0..1] of Real;
R2 :Array [0..1] of Real;
R3 :Array [0..1] of Real;
R4 :Array [0..1] of Real;
R5 :Array [0..1] of Real;
R6 :Array [0..1] of Real;
YD :Array [0..1] of Real;
YP :Array [0..1] of Real;
YX :Array [0..1] of Real;
label
_1000,_101,_102,_103,_104,_105,_106,_107;
begin
Result := '';  {   }
M := 2;
X := 0.0;
YX[0] := 0.0;
YX[1] := 1.0;
HMIN := 1.E-10;
EPS := 1.E-7;
P := 100.0;
JSTART := 1;
H := 0.01;
IH := 0;
_1000:
IH := IH + 1;
DE04R (FADE04R,FIDE04R,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,A,E1,E2,
     E3,W1,R1,R2,R3,R4,R5,R6,YD,IERR);
Result := Result + Format('  %20.16f   %20.16f     %20.16f     %20.16f ',
 [YX[0],YX[1],X,H]) + #$0D#$0A;
Result := Result + Format('  %20.16f   %20.16f ',[R1[0],R1[1]]);
case IH of
 1: goto _101;
 2: goto _102;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _106;
 7: goto _107;
end;
_101:
EPS := 1.E-7;
goto _1000;
_102:
EPS := 1.0;
goto _1000;
_103:
JSTART := -1;
H := 0.01;
EPS := 1.E-5;
goto _1000;
_104:
JSTART := -1;
H := -0.0001;
EPS := 1.E-2;
goto _1000;
_105:
H := 1.0;
EPS := 1.E-10;
goto _1000;
_106:
EPS := 1.E-4;
goto _1000;
_107:
UtRes('tde04r',Result);  {     tde04r.res }
exit;
end;

end.
